export declare class Application {
    private static init;
    static appName: any;
    static appVersion: any;
    private static debug;
    private static port;
    private static host;
    private static version;
    /**
     * 多次调用，不防异步
     */
    static ready(): typeof Application;
    static getVersion(): string;
    static getPackageName(): any;
    /**
     * 获取完整的带版本号的包名
     * @example @kemao-node-basis/lark@6.0.0
     */
    static getFullPackageName(): string;
    static getLarkServer(): string;
    static getRemoteServer(): string;
    static getLocalServer(): string;
    static setDebug(debug: boolean): void;
    static isDebug(): boolean;
}
