import { ILoggerRecord, LOGGER_LEVEL } from "./LoggerDto";
export declare class LarkLogger {
    private category;
    constructor(category?: string);
    percent(title: string, index: number, total: number, message?: string): Promise<void>;
    log(...argv: any[]): Promise<void>;
    warn(...argv: any[]): Promise<void>;
    info(...argv: any[]): Promise<void>;
    error(...argv: any[]): Promise<void>;
    fatal(...argv: any[]): Promise<void>;
    trace(...argv: any[]): Promise<void>;
    infoIf(condition: boolean, ...argv: any[]): Promise<void>;
    errorIf(condition: boolean, ...argv: any[]): Promise<void>;
    warnIf(condition: boolean, ...argv: any[]): Promise<void>;
    logIf(condition: boolean, ...argv: any[]): Promise<void>;
    debugIf(condition: boolean, ...argv: any[]): Promise<void>;
    traceIf(condition: boolean, ...argv: any[]): Promise<void>;
    report(log: ILoggerRecord): Promise<void>;
    protected print(log: ILoggerRecord): void;
    protected output(level: LOGGER_LEVEL, argv: any[]): Promise<void>;
    static getStringify(data: any[]): {
        message: string;
        data: string[];
    };
    private writeFileLog(info);
}
export declare const logger: LarkLogger;
