export declare class TaskTime {
    private total;
    private index;
    private tookDatetime;
    private lastTookDatetime;
    private avgTime;
    private diffTime;
    setTotal(total: number): void;
    getData(): {
        rate: string;
        remainderAvgTime: string;
        remainderDiffTime: string;
    };
    /**
     * 每节任务完成的进行快照
     * 首次运行时
     */
    take(): void;
    /**
     * 获取剩余时间
     * @returns null 为null说明相关信息不够，无法计算剩余时间
     */
    getRemainderAvgTime(): number;
    getRemainderDiffTime(): number;
    /**
     * 获取剩余比例
     */
    getRate(): number;
}
