export declare enum MAIL_STATUS {
    sending = 0,
    success = 1,
    fail = 2,
}
export interface IMailBodyRecord {
    id?: number;
    title: string;
    body?: string;
    status?: MAIL_STATUS;
    sendDatetime?: Date;
    _id?: string;
    user?: string;
    sender?: string;
}
export declare class MailDto {
    static receiveAccount: string;
    static mailAccount: {
        name: string;
        address: string;
        host: string;
        port: number;
        secure: boolean;
        auth: {
            user: string;
            pass: string;
        };
    }[];
    static getHtml(mailBody: IMailBodyRecord): string;
}
